Product Documentation

System Requirements

Jun 17, 2016

Requirements for License Server for Windows

The license server and License Administration Console are compatible with the same hardware required to support the compatible operating systems. No additional hardware is required.

Note: The license server does not support multi-homing (two network cards plugged into distinct networks).

The License Administration Console manages the license server on the computer on which it is installed. It cannot manage remote license servers.

Operating Systems

You can install the license server on servers running the following Microsoft operating systems. Citrix recommends that you install the latest Microsoft Service Pack and updates.

  • Windows Server 2003 Family
  • Windows Server 2008 Family
  • Windows Server 2008 R2 Family
  • Windows 7, 32-bit and 64-bit editions

Disk Space Requirements

  • 50 MB for the licensing components
  • 2 GB for User/Device licensing

Microsoft .NET Framework Requirements

Microsoft .NET Framework 3.5 SP1 is required.

Browsers

  • Internet Explorer Version 6.0 through 9.0 (use Internet Explorer 8 and 9 in compatibility mode)
  • Mozilla Firefox Version 3.0 through 8.0
  • Chrome Version 12.0 through 15.0
  • Safari Version 5.1

Requirements for Installing License Server VPX

XenServer must provide adequate virtual computing resources to the License Server VPX.

XenServer version

XenServer 5.6 Feature Pack 1 or Service Pack 2 and XenServer 6 environments configured, with a separate XenCenter management console.

Memory

256 MB. Sufficient for up to 500 Citrix servers and approximately 50,000 licenses, but monitor available memory during operation to determine if you need to add more memory. For larger environments, Citrix recommends allocating more memory.

Minimum Storage Requirement

8 GB on the default Storage Repository inside the XenServer pool.

Virtual CPU (VCPU)

1 VCPU. For larger environments or those leveraging User/Device licensing, consider adding a second VCPU.

Browsers

  • Internet Explorer Version 6.0 through 9.0 (use Internet Explorer 8 and 9 in compatibility mode)
  • Mozilla Firefox Version 3.0 through 8.0
  • Chrome Version 12.0 through 15.0
  • Safari Version 5.1